IdentityHashMap (Axis API)
Keywords: org.apache.axis.utils.IdentityHashMap,IdentityHashMap class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class IdentityHashMap

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--java.util.HashMap
                  |
                  +--org.apache.axis.utils.IdentityHashMap

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class IdentityHashMap
extends java.util.HashMap

IdentityHashMap similar to JDK1.4's java.util.IdentityHashMap

Author:
  Davanum Srinivas
See Also:
  Serialized Form

Constructor Summary
`IdentityHashMap()` Constructor for IdentityHashMap.
`IdentityHashMap(int initialCapacity)` Constructor for IdentityHashMap.
`IdentityHashMap(int initialCapacity, float loadFactor)` Constructor for IdentityHashMap.
`IdentityHashMap(java.util.Map t)` Constructor for IdentityHashMap.

Method Summary
`java.lang.Object` | `add(java.lang.Object value)` adds an object to the Map.
`boolean` | `containsKey(java.lang.Object key)`
`java.lang.Object` | `get(java.lang.Object key)`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`java.lang.Object` | `remove(java.lang.Object key)`

Methods inherited from class java.util.HashMap
`clear, clone, containsValue, entrySet, isEmpty, keySet, putAll, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### IdentityHashMap

    public IdentityHashMap(int initialCapacity,
                           float loadFactor)

  Constructor for IdentityHashMap.

Parameters:
  `initialCapacity` -
  `loadFactor` -

### IdentityHashMap

    public IdentityHashMap(int initialCapacity)

  Constructor for IdentityHashMap.

Parameters:
  `initialCapacity` -

### IdentityHashMap

    public IdentityHashMap()

  Constructor for IdentityHashMap.

### IdentityHashMap

    public IdentityHashMap(java.util.Map t)

  Constructor for IdentityHashMap.

Parameters:
  `t` -

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `java.util.HashMap`
  See Also:
    `Map.get(Object)`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.HashMap`
  See Also:
    `Map.put(Object, Object)`

### add

    public java.lang.Object add(java.lang.Object value)

  adds an object to the Map. new Identity(obj) is used as key

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`
  Overrides:
    `remove` in class `java.util.HashMap`
  See Also:
    `Map.remove(Object)`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map`
  Overrides:
    `containsKey` in class `java.util.HashMap`
  See Also:
    `Map.containsKey(Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.